Create a new briefing
curl --request POST \
--url https://api.ctrl-hub.com/v3/agents/{agent_id}/briefings \
--header 'Content-Type: application/vnd.api+json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"data": {
"type": "<string>",
"attributes": {
"summary": "<string>",
"sections": [
{
"title": "<string>",
"items": [
{}
],
"reasoning": "<string>"
}
],
"reasoning": {},
"model_used": "<string>",
"token_usage": {
"prompt_tokens": 123,
"completion_tokens": 123
}
}
}
}
'import requests
url = "https://api.ctrl-hub.com/v3/agents/{agent_id}/briefings"
payload = { "data": {
"type": "<string>",
"attributes": {
"summary": "<string>",
"sections": [
{
"title": "<string>",
"items": [{}],
"reasoning": "<string>"
}
],
"reasoning": {},
"model_used": "<string>",
"token_usage": {
"prompt_tokens": 123,
"completion_tokens": 123
}
}
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: '<string>',
attributes: {
summary: '<string>',
sections: [{title: '<string>', items: [{}], reasoning: '<string>'}],
reasoning: {},
model_used: '<string>',
token_usage: {prompt_tokens: 123, completion_tokens: 123}
}
}
})
};
fetch('https://api.ctrl-hub.com/v3/agents/{agent_id}/briefings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"summary": "<string>",
"sections": [
{
"title": "<string>",
"items": [
{}
],
"reasoning": "<string>"
}
],
"reasoning": {},
"model_used": "<string>",
"token_usage": {
"prompt_tokens": 123,
"completion_tokens": 123
}
},
"meta": {
"generated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"agent": {
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
},
"jsonapi": {
"version": "<string>"
}
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Briefings
Create a briefing
Create a new briefing for an agent, storing the generated result.
POST
/
v3
/
agents
/
{agent_id}
/
briefings
Create a new briefing
Authorizations
SessionCookieOAuth2
Session token for authentication.
Path Parameters
The unique identifier for the agent.
Body
application/vnd.api+json
The briefing to create.
Show child attributes
Show child attributes
⌘I